For the complete documentation index, see llms.txt. This page is also available as Markdown.

Bank Widget Url

Get the bank widget URL to add fiat accounts.

Get widget url to add fiat accounts.

POST https://api.onramp.money/onramp/api/v2/whiteLabel/bank/addFiatAccountUrl

Request Body

Name
Type
Description

customerId*

String

Unique User Id received from /kyc/url

redirectUrl*

String

Client URL to return to once the redirection

{
    "status": 1,
    "code": 200,
    "data": {
        "bankUrl": "---url---",
        "referenceId": "---referenceId---"
    }
}
{ 
    "status": 0,
    "code": 400,
    "error": "Missing customerId."
} 

{
    "status": 1,
    "code": 200,
    "data": {
        "bankUrl": "https://onramp.money/onramp-circle/main/profile/bank-accounts/?appId=196&kybData=JDU5FwUdEjM/AjxDlBEfUFbUVBnT1lhW1d3VFdGWTc5HEpZUVJkT0AQDg03CgocGAQRLEE8DwsiChogAA5lOgofHFlSIxgLJQMgDk4xAAwuOxEe&whiteLabelRefId=UFJOL1hh&redirectUrl=https://www.api-client.com",
        "referenceId": "6214fc3b011d9e3efb8c36b8fd29dfcs"
    }
}
  • status -> 0 is for unsuccessful request, 1 is for a successful one.

  • bankUrl -> redirect to onramp widget to add fiat accounts.

  • referenceId -> Reference ID of the widget session to be passed back in the account added webhook

Last updated